Mailinglist Archive: opensuse (3644 mails)

< Previous Next >
Re: [SLE] Suse Kernel 2.4.18 with NVIDIA confusion
  • From: Anders Johansson <andjoh@xxxxxxxxxxxxxxxxxxxxx>
  • Date: Mon, 4 Mar 2002 03:14:55 +0100
  • Message-id: <200203040314.55325.andjoh@xxxxxxxxxxxxxxxxxxxxx>
On Sunday 03 March 2002 15:10, Art Fore wrote:
That got me one step closer. Now the --rebuild goes fine, but when I do the
rpm -ivh, it comes up with
depmod: /lib/modelses/s.4.18-4GB/modules.ieee1394map is not an ELF file
depmod: cannot read ELF header from
/lib/modules/s.4.18-4GB/modules.pnpbiosmap
depmod: *** Unresolved symbols in
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: unresolved symbol
kmap_page table
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: insmod
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver failed
/lib/modules/s.4.18-4GB/kernel/drivers/NVdriver: insmod NVdriver failed

Have any suggestions for this?

Yep, but it makes me wonder how you built it for 2.4.17, since the same
problem existed there.

Grab the patch from mantel/next. It's called nvidia-pte-highmem

do rpm -i on the src.rpm, and then rpm -bp on
/usr/src/packages/SPECS/NVIDIA_kernel.spec

That will get you the source in /usr/src/packages/BUILD/NVIDIA_kernel-1.0-2314
cd to that directory and do patch -p1 < nvidia-pte-highmem
Then, as root, do 'make' and the module should build and install properly

//Anders

< Previous Next >
Follow Ups
References